Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class ComponentListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter

All Implemented Interfaces:
  ComponentListener

Direct Known Subclasses:
  BaseItemListenerAdapter, BoxComponentListenerAdapter, ButtonListenerAdapter, ColorPaletteListenerAdapter, DatePickerListenerAdapter, EditorListenerAdapter

    public class ComponentListenerAdapter

extends java.lang.Object
implements ComponentListener

Constructor Summary
`ComponentListenerAdapter()`

Method Summary
`boolean` | `doBeforeDestroy(Component component)` Fires before the component is destroyed.
`boolean` | `doBeforeHide(Component component)` Fires before the component is hidden.
`boolean` | `doBeforeRender(Component component)` Fires before the component is rendered.
`boolean` | `doBeforeShow(Component component)` Fires before the component is shown.
`boolean` | `doBeforeStateRestore(Component component, com.google.gwt.core.client.JavaScriptObject state)` Fires before the state of the component is restored.
`boolean` | `doBeforeStateSave(Component component, com.google.gwt.core.client.JavaScriptObject state)` Fires before the state of the component is saved to the configured state provider.
`void` | `onDestroy(Component component)` Fires after the component is destroyed.
`void` | `onDisable(Component component)` Fires after the component is disabled.
`void` | `onEnable(Component component)` Fires after the component is enabled.
`void` | `onHide(Component component)` Fires after the component is hidden.
`void` | `onRender(Component component)` Fires after the component is rendered.
`void` | `onShow(Component component)` Fires after the component is shown.
`void` | `onStateRestore(Component component, com.google.gwt.core.client.JavaScriptObject state)` Fires after the state of the component is restored.
`void` | `onStateSave(Component component, com.google.gwt.core.client.JavaScriptObject state)` Fires after the state of the component is saved to the configured state provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentListenerAdapter

    public ComponentListenerAdapter()

Method Detail

### doBeforeDestroy

    public boolean doBeforeDestroy(Component component)

  Description copied from interface: `ComponentListener`
  Fires before the component is destroyed. Return false to stop the destroy.

  Specified by:
    `doBeforeDestroy` in interface `ComponentListener`
  Parameters:
    `component` - this
  Returns:
    false to stop destroy

### doBeforeHide

    public boolean doBeforeHide(Component component)

  Description copied from interface: `ComponentListener`
  Fires before the component is hidden. Return false to stop the hide.

  Specified by:
    `doBeforeHide` in interface `ComponentListener`
  Parameters:
    `component` - this
  Returns:
    false to stop hide

### doBeforeRender

    public boolean doBeforeRender(Component component)

  Description copied from interface: `ComponentListener`
  Fires before the component is rendered. Return false to stop the render.

  Specified by:
    `doBeforeRender` in interface `ComponentListener`
  Parameters:
    `component` - this
  Returns:
    false to stop render

### doBeforeShow

    public boolean doBeforeShow(Component component)

  Description copied from interface: `ComponentListener`
  Fires before the component is shown. Return false to stop the show.

  Specified by:
    `doBeforeShow` in interface `ComponentListener`
  Parameters:
    `component` - this
  Returns:
    false to stop show

### doBeforeStateRestore

    public boolean doBeforeStateRestore(Component component,
                                        com.google.gwt.core.client.JavaScriptObject state)

  Description copied from interface: `ComponentListener`
  Fires before the state of the component is restored. Return false to stop the restore.

  Specified by:
    `doBeforeStateRestore` in interface `ComponentListener`
  Parameters:
    `component` - this
    `state` - the component state
  Returns:
    false to stop the restore

### doBeforeStateSave

    public boolean doBeforeStateSave(Component component,
                                     com.google.gwt.core.client.JavaScriptObject state)

  Description copied from interface: `ComponentListener`
  Fires before the state of the component is saved to the configured state provider. Return false to stop the save.

  Specified by:
    `doBeforeStateSave` in interface `ComponentListener`
  Parameters:
    `component` - this
    `state` - the component state
  Returns:
    false to stop the save

### onDestroy

    public void onDestroy(Component component)

  Description copied from interface: `ComponentListener`
  Fires after the component is destroyed.

  Specified by:
    `onDestroy` in interface `ComponentListener`
  Parameters:
    `component` - this

### onDisable

    public void onDisable(Component component)

  Description copied from interface: `ComponentListener`
  Fires after the component is disabled.

  Specified by:
    `onDisable` in interface `ComponentListener`
  Parameters:
    `component` - this

### onEnable

    public void onEnable(Component component)

  Description copied from interface: `ComponentListener`
  Fires after the component is enabled.

  Specified by:
    `onEnable` in interface `ComponentListener`
  Parameters:
    `component` - this

### onHide

    public void onHide(Component component)

  Description copied from interface: `ComponentListener`
  Fires after the component is hidden.

  Specified by:
    `onHide` in interface `ComponentListener`
  Parameters:
    `component` - this

### onRender

    public void onRender(Component component)

  Description copied from interface: `ComponentListener`
  Fires after the component is rendered.

  Specified by:
    `onRender` in interface `ComponentListener`
  Parameters:
    `component` - this

### onShow

    public void onShow(Component component)

  Description copied from interface: `ComponentListener`
  Fires after the component is shown.

  Specified by:
    `onShow` in interface `ComponentListener`
  Parameters:
    `component` - this

### onStateRestore

    public void onStateRestore(Component component,
                               com.google.gwt.core.client.JavaScriptObject state)

  Description copied from interface: `ComponentListener`
  Fires after the state of the component is restored.

  Specified by:
    `onStateRestore` in interface `ComponentListener`
  Parameters:
    `component` - this
    `state` - the component state

### onStateSave

    public void onStateSave(Component component,
                            com.google.gwt.core.client.JavaScriptObject state)

  Description copied from interface: `ComponentListener`
  Fires after the state of the component is saved to the configured state provider.

  Specified by:
    `onStateSave` in interface `ComponentListener`
  Parameters:
    `component` - this
    `state` - the component state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD